EDIT - feature request #7450

Allow setPublish for subtree to include misapplied names and pro parte synonyms
06/04/2018 03:09 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal

Description

... and maybe also some other taxa related via taxon concept relations.

Needs some discussion how to handle MANs and pp synonyms which are used as taxa in other classification. Maybe allow filter
similar to the one available for accepted taxa used in multiple classifications.

Related issues:

Related to EDIT - bug #8446: Allow setPublish for subtree to filter for hybrids Closed
Related to EDIT - feature request #8447: Adapt setPublishForSubtree to new pa... Closed
Related to EDIT - bug #9601: Set secundum for subTree does not work for misap... Closed
Has duplicate EDIT - bug #7490: Set published flag on subtree misses out misa... Duplicate
Follows EDIT - feature request #3740: Allow recursively setting the publish b... Closed
Copied to EDIT - feature request #8487: Report results of set publish New

Associated revisions

Revision 53df0a40 - 08/05/2019 04:11 PM - Andreas Miiller

ref #7450 use PublishForSubtreeConfigurator in TaxonNodeService

Revision f928093b - 08/05/2019 04:19 PM - Andreas Miiller

ref #7450 revert the incorrect c&p from last commit

Revision e867c225 - 08/06/2019 12:53 PM - Andreas Miiller

ref #7450 implement interfaces and signatures for setPublishForSubtree for misapplications and ppSyns (not yet implemented)

Revision 5fb16579 - 08/07/2019 01:39 PM - Andreas Miiller

fix #7450 allow setPublish for subtree to include misapplied names and pro parte synonyms

Revision 7cc1655b - 08/07/2019 03:07 PM - Andreas Miiller

fix #7450 try to fix failing test when running in test suite

History

#1 - 06/04/2018 03:10 PM - Andreas Miiller
- Due date set to 09/30/2013
- Start date changed from 06/04/2018 to 09/30/2013

- Follows feature request #3740: Allow recursively setting the publish bit for TaxonBase added

#2 - 06/04/2018 03:12 PM - Andreas Miiller
- Description updated

#3 - 06/04/2018 03:13 PM - Andreas Miiller
- Due date deleted (09/30/2013)
- Start date changed from 09/30/2013 to 06/04/2018

#4 - 06/05/2018 09:28 AM - Katja Luther
Maybe we should think about to have a publish flag on the taxonrelationship to avoid influencing another classification?

#5 - 06/05/2018 09:53 AM - Andreas Miiller
AM:

bei der Suche missen wir das evtl. noch im Detail definieren.
Mehrere Mdglichkeiten gibt es :

1. Er kann grundsétzlich auf einer eigenen Taxon Seite angezeigt werden, weil er ja ein eigenes akzeptiertes Taxon ist (aber nicht in der
Klassifikation), das hangt davon ab, ob die Portaleinstellungen das zulassen.

2. Er wird nicht angezeigt, weil nur die Taxa und Synonyme einer Klassifikation angezeigt werden

3. Er ist Misapplied Name / PP Synonym zu mehreren Taxa, mind. eines davon kann angezeigt werden, dann kann dieses geéffnet werden

Nicht sinnig ist m.E. der Fall, dass der MAN in der Suche angezeigt wird, obwohl das spéter zu 6ffnende akzeptierte Taxon nicht public ist. Insofern
nimmt das publish Flag vom Ergebnis eigentlich immer nur was weg, fligt aber nichts hinzu.

Also etwas simpler, ein Synonym, welches public ist, wird in der Regel trotzdem nicht angezeigt, weil es in der Regel im Zusammenhang mit dem
zugehdrigen akzeptierten Taxon angezeigt wird.

#6 - 06/18/2018 01:54 PM - Andreas Miiller
- Has duplicate bug #7490: Set published flag on subtree misses out misapplied names added

#7 - 06/18/2018 01:54 PM - Andreas Miuller

- Target version changed from Unassigned CDM tickets to Release 5.1

#8 - 06/27/2018 02:28 PM - Andreas Miuller

- Target version changed from Release 5.1 to Release 5.2

#9 - 08/17/2018 03:41 PM - Andreas Miuller

- Target version changed from Release 5.2 to Release 5.3

#10 - 09/06/2018 09:58 AM - Andreas Miiller

- Target version changed from Release 5.3 to Release 5.4

#11 - 10/23/2018 11:29 AM - Andreas Miiller

- Target version changed from Release 5.4 to Release 5.5

#12 - 02/14/2019 10:24 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#13 - 04/12/2019 12:58 PM - Andreas Miiller

- Target version changed from Release 5.6 to Release 5.7

#14 - 05/03/2019 02:56 PM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.8

#15 - 07/19/2019 03:29 PM - Andreas Miiller

- Target version changed from Release 5.8 to Release 5.10

#16 - 08/07/2019 01:39 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|5fb16579cd1fbce2bfal9f12bebc0d4711b23b90.

#17 - 08/07/2019 01:42 PM - Andreas Miiller
- Related to bug #8446: Allow setPublish for subtree to filter for hybrids added

#18 - 08/07/2019 01:44 PM - Andreas Miiller

- Related to feature request #8447: Adapt setPublishForSubtree to new parameters for pro parte, misapplications and hybrids added
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdmlib/revisions/5fb16579cd1fbce2bfa19f12bebc0d4711b23b90

#19 - 08/20/2019 10:59 AM - Andreas Miiller

- Target version changed from Release 5.10 to Release 5.9

#20 - 08/23/2019 10:33 AM - Andreas Miiller
- Copied to feature request #8487: Report results of set publish added

#21 - 08/23/2019 10:34 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100

Moved better reporting to new ticket #8487 and close this ticket.

#22 - 05/06/2021 11:34 AM - Andreas Muller

- Related to bug #9601: Set secundum for subTree does not work for misapplied names added
https://dev.e-taxonomy.eu/redmine/issues/8487
